darcs

Issue 1350 compress patch bundles for more reliable transport

Title compress patch bundles for more reliable transport
Priority feature Status resolved
Milestone Resolved in 2.8.0
Superseder accept gzipped patch bundles in darcs apply
View: 1427
Nosy List WorldMaker, darcs-devel, dmitry.kurochkin, jaredj, kerneis, kowey, thorkilnaur
Assigned To kerneis
Topics ProbablyEasy

Created on 2009-02-08.19:21:30 by simon, last changed 2011-01-26.16:41:41 by noreply.

Messages
msg7282 (view) Author: simon Date: 2009-02-08.19:21:27
There are many non-obvious ways for a patch received by email to get  
corrupted as you extract it. Whitespace and encoding are important,  
and darcs apply's error messages are unhelpful (separate issue). In  
fact applying patches from contributors is the bane of my life, and  
this should not be, we want this to just work without requiring  
expertise. Gwern suggested gzipping patch bundles, and I suggested  
including the plain text as well  (because being able to see the patch  
immediately is very useful for patch review.)

So, it seems right now a sent patch mail has a text/plain part  
containing just the comment, and a text/x-darcs-patch part containing  
the patch with context (I may oversimplify.)

What if we: gzip the x-darcs-patch part, and also include just the  
patch but not the context in the text/plain part, for human readers.  
Also, darcs apply would accept gzipped patch bundles. I think this  
could make patch-accepting more robust and no harder. It would also do  
away with the visual noise cause by having the context always  
included, and would reduce the size of darcs patch emails quite a bit.

Sent to the list as well as the bugtracker to get wider feedback.
msg7284 (view) Author: WorldMaker Date: 2009-02-08.21:42:16
Simon Michael wrote:
> What if we: gzip the x-darcs-patch part, and also include just the
> patch but not the context in the text/plain part, for human readers.
> Also, darcs apply would accept gzipped patch bundles. I think this
> could make patch-accepting more robust and no harder. It would also do
> away with the visual noise cause by having the context always
> included, and would reduce the size of darcs patch emails quite a bit.

+1. I think this sounds like a good idea.
msg7630 (view) Author: kowey Date: 2009-04-09.11:54:29
Sounds like it would be best for somebody to just submit a patch and then we
discuss it later on darcs-users.

I split the bit where darcs apply accepts gzipped patches into its own ticket,
which is a superseder of this one.
msg13468 (view) Author: simon Date: 2011-01-06.17:44:36
There's a patch needing review: patch515
msg13590 (view) Author: noreply Date: 2011-01-26.16:41:40
The following patch sent by Gabriel Kerneis <kerneis@pps.jussieu.fr> updated issue issue1350 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue1350: reliable patch transport 
Ignore-this: 5cf8cbafdcebe16124c629edb465f739

Note that this patch does not compress attached patches, for the sake
of backward-compatibility.  But it does resolve the points of issue1350:
hide context when reviewing a patch and ensure a reliable transport with
application/x-darcs-patch instead of text/x-darcs-patch.
History
Date User Action Args
2009-02-08 19:21:30simoncreate
2009-02-08 21:42:19maxbattchersetstatus: unread -> unknown
nosy: + maxbattcher
messages: + msg7284
2009-04-09 11:54:33koweysetstatus: unknown -> needs-reproduction
topic: + ProbablyEasy
title: compress patch bundles for more reliable transport ? -> compress patch bundles for more reliable transport
nosy: + jaredj, - darcs-users
messages: + msg7630
priority: feature
superseder: + accept gzipped patch bundles in darcs apply
2009-08-10 17:46:02koweysetstatus: needs-reproduction -> needs-implementation
nosy: kowey, maxbattcher, simon, thorkilnaur, jaredj, dmitry.kurochkin
2009-08-25 17:40:39adminsetnosy: + darcs-devel, - simon
2009-08-27 14:22:09adminsetnosy: kowey, darcs-devel, maxbattcher, thorkilnaur, jaredj, dmitry.kurochkin
2009-09-02 15:51:19koweysetstatus: needs-implementation -> waiting-for
nosy: kowey, darcs-devel, maxbattcher, thorkilnaur, jaredj, dmitry.kurochkin
2009-10-23 23:59:50adminsetnosy: + WorldMaker, - maxbattcher
2010-12-19 21:51:23kerneissetassignedto: kerneis
nosy: + kerneis
2011-01-06 17:44:36simonsetstatus: waiting-for -> needs-reproduction
messages: + msg13468
2011-01-26 16:41:41noreplysetstatus: needs-reproduction -> resolved
messages: + msg13590
resolvedin: 2.8.0